Bug 195786 - [request] www/neon29 move to www/neon and update to neon-0.30.1
Summary: [request] www/neon29 move to www/neon and update to neon-0.30.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-07 20:09 UTC by Olli Hauer
Modified: 2014-12-25 12:57 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2014-12-07 20:09:26 UTC
In the past there was a neon26 neon27 neon28 and the neon29 port, mainly this was because gnomehack was not used.

The old revisions are gone now and neon-0.30.1 is already released, what about moving www/neon29 to www/neon and then do an update to 0.30.1?

Luckily only the following 22 ports have a direct dependency on neon.

- audio/libcoverart
- audio/libmusicbrainz3
- audio/libmusicbrainz5
- deskutils/libopensync-plugin-sunbird
- deskutils/mirall
- devel/anjuta
- devel/php5-dav
- devel/pysvn
- devel/subversion16
- devel/subversion17
- editors/libreoffice
- games/live-f1
- multimedia/audacious-plugins
- multimedia/gstreamer-plugins.common:
- multimedia/gstreamer1-plugins.common:
- net/asterisk11
- net/asterisk
- net/owncloud-csync
- sysutils/nut
- sysutils/pecl-mogilefs
- www/cadaver
- www/sitecopy
Comment 1 Bugzilla Automation freebsd_committer 2014-12-07 20:09:26 UTC
Auto-assigned to maintainer lev@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-12-24 06:03:56 UTC
A commit references this bug:

Author: ohauer
Date: Wed Dec 24 06:03:32 UTC 2014
New revision: 375392
URL: https://svnweb.freebsd.org/changeset/ports/375392

Log:
  - rename www/neon29 to www/neon and update to neon-0.30.1
  - adjust ports depending on neon, bump PORTREVISION

  Changelog:
  Fix memory leak with GnuTLS (Werner Baumann, Patrick Ohly).
  Fix possible crash after DNS lookup errors on Windows (Olivier Goffart).
  Don't fail if the SSL cert changes between connections with OpenSSL, behaviour now matches that with GnuTLS.
  Fix PKCS#11 support under OpenSSL with TLS 1.2.
  Fix static linking with pkg-config file (Alan H)

  PR:		195786
  Differential Revision:	https://reviews.freebsd.org/D1319
  Submitted by:	ohauer
  Reviewed by:	portmgr (bapt, mat)
  Approved by:	portmgr, lev (implicit)

Changes:
  head/MOVED
  head/UPDATING
  head/audio/libcoverart/Makefile
  head/audio/libmusicbrainz3/Makefile
  head/audio/libmusicbrainz5/Makefile
  head/deskutils/libopensync-plugin-sunbird/Makefile
  head/deskutils/mirall/Makefile
  head/devel/anjuta/Makefile
  head/devel/php5-dav/Makefile
  head/devel/pysvn/Makefile
  head/devel/subversion16/Makefile.common
  head/devel/subversion17/Makefile.common
  head/editors/libreoffice/Makefile
  head/games/live-f1/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/gstreamer-plugins/Makefile
  head/multimedia/gstreamer-plugins/Makefile.common
  head/multimedia/gstreamer1-plugins/Makefile
  head/multimedia/gstreamer1-plugins/Makefile.common
  head/net/asterisk/Makefile
  head/net/asterisk11/Makefile
  head/net/asterisk13/Makefile
  head/net/owncloud-csync/Makefile
  head/sysutils/nut/Makefile
  head/sysutils/pecl-mogilefs/Makefile
  head/www/Makefile
  head/www/cadaver/Makefile
  head/www/neon/
  head/www/neon/Makefile
  head/www/neon/distinfo
  head/www/neon/pkg-plist
  head/www/neon29/
  head/www/sitecopy/Makefile
Comment 3 Antoine Brodin freebsd_committer 2014-12-24 23:25:59 UTC
FYI update to neon 30 broke packaging of subversion16:


checking neon library version... 0.30.1
You have neon version 0.30.1,
but Subversion needs neon 0.29.0.

An appropriate version of neon could not be found, so libsvn_ra_neon
will not be built.  If you want to build libsvn_ra_neon, please either
install neon 0.29.0 on this system

or

get neon 0.29.0 from:
    http://www.webdav.org/neon/neon-0.29.0.tar.gz
unpack the archive using tar/gunzip and rename the resulting
directory from ./neon-0.29.0/ to ./neon/

no suitable neon found




===>  Building package for subversion16-1.6.23_9
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/subversion16/work/stage/usr/local/lib/libsvn_ra_neon-1.a: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/subversion16/work/stage/usr/local/lib/libsvn_ra_neon-1.so: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/subversion16/work/stage/usr/local/lib/libsvn_ra_neon-1.so.0: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/subversion16/work/stage/usr/local/lib/libsvn_ra_neon-1.so.0.0.0: No such file or directory
*** Error code 1
Comment 4 Olli Hauer freebsd_committer 2014-12-25 12:57:18 UTC
I've committed a fix for SVN 1.6, but forgot to add PR # during commit.

Author: ohauer
Date: Thu Dec 25 12:49:14 2014
New Revision: 375542
URL: https://svnweb.freebsd.org/changeset/ports/375542